suite := AtsGeoNetworking

sources := \
            ItsGeoNetworking_TestCases.ttcn \
            ItsGeoNetworking_TestControl.ttcn \
            ItsGeoNetworking_TpFunctions.ttcn \

modules :=  lib \
            lib_system \
            ../LibCommon \
            /titan-test-system-framework/ttcn/LibHelpers \
            /titan-test-system-framework/ttcn/LibSecurity \
            ../LibIts  \
            ../AtsIPv6OverGeoNetworking/lib \
            ../AtsIPv6OverGeoNetworking/lib_system \
            ../AtsSecurity/lib \
            ../AtsSecurity/lib_system \
            /ccsrc/Ports/LibIts_ports \
            /ccsrc/Ports/LibIts_ports/GN_ports \
            /ccsrc/Ports/LibIts_ports/IPv6oGN_ports \
            /ccsrc/EncDec \
            /titan-test-system-framework/ccsrc/Framework \
            /titan-test-system-framework/ccsrc/loggers \
            /titan-test-system-framework/ccsrc/Protocols/ETH \
            /titan-test-system-framework/ccsrc/Protocols/Pcap \
            /titan-test-system-framework/ccsrc/Protocols/Xml \
            /titan-test-system-framework/ccsrc/Helpers \
            /titan-test-system-framework/ccsrc/security \
            /ccsrc/Externals \
            /ccsrc/geospacial \
            /ccsrc/Asn1c \
            /ccsrc/framework \
            /ccsrc/Protocols/GeoNetworking \
            /ccsrc/Protocols/UpperTester \
            /ccsrc/Protocols/Security \
            ../modules/titan.TestPorts.Common_Components.Abstract_Socket \


ifeq (,$(findstring LibItsCommon_ASN1_NamedNumbers.ttcn,$(all_sources)))
   sources += /ttcn/AtsCAM/lib/asn1/cdd/ETSI_ITS_CDD.asn
endif
